Get one entry
One entry of a collection, addressed by its slug.
GET
/content/{type}/{slug}Path parameters
typestringrequiredslugstringrequiredResponses
200OK
idstringrequiredslugstringrequiredtitlestringrequiredfieldsobjectrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required401401
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Authentication required. Pass an organization API key in the `x-api-key` header."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany404404
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "No such content type or entry in this organization."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany429429
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "The organization's API request limit for this period has been reached."
dataanyobject
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Too many requests. Try again shortly."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataanyRequest
curl -X GET "https://stetcms.com/api/v1/content/string/string"const response = await fetch("https://stetcms.com/api/v1/content/string/string", {
method: "GET"
});Response
{
"id": "string",
"slug": "string",
"title": "string",
"fields": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required. Pass an organization API key in the `x-api-key` header.",
"data": "string"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "No such content type or entry in this organization.",
"data": "string"
}{
"defined": true,
"code": "QUOTA_EXCEEDED",
"status": 429,
"message": "The organization's API request limit for this period has been reached.",
"data": "string"
}